import { LitElement } from 'lit';
export declare const ICON_RAVELRY = "icon-ravelry";
export declare class IconRavelryComponent extends LitElement {
    static readonly defaultTagName = "icon-ravelry";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
